package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-11-11
 * @description : 用户登录枚举
 */
@Getter
@AllArgsConstructor
public enum LoginTypeEnum {

    /**
     * 注册
     */
    LOGIN_REG(0, "注册"),

    /**
     * 登录
     */
    LOGIN_IN(1, "登录"),

    /**
     * 退出
     */
    LOGIN_OUT(2, "退出");

    /**
     * 登录类型
     */
    private final Integer loginType;

    /**
     * 描述
     */
    private final String name;
}
